import { defineComponent, ref } from 'vue';
import styles from './index.module.less';
import { NTabs, NTabPane, NSpace } from 'naive-ui';
import { useRoute, useRouter } from 'vue-router';
import CBreadcrumb from '@/components/CBreadcrumb';
import ClassStudent from './components/classStudent';
import AfterWork from './components/afterWork';
export default defineComponent({
  name: 'base-setting',
  setup(props, { emit, attrs }) {
    const activeTab = ref('student');
    const router = useRouter();
    const route = useRoute();
    const routerList = ref([
      { name: '班级管理', path: '/classList' },
      { name: route.query.name, path: '/classDetail' }
    ] as any);
    return () => (
      <div>
        <CBreadcrumb list={routerList.value}></CBreadcrumb>
        <div class={styles.listWrap}>
          <NTabs
            class={styles.customTabs}
            v-model:value={activeTab.value}
            size="large"
            animated
            pane-wrapper-style="margin: 0 -4px"
            pane-style="padding-left: 4px; padding-right: 4px; box-sizing: border-box;">
            <NTabPane name="student" tab="学员名单">
              <ClassStudent></ClassStudent>
            </NTabPane>
            <NTabPane name="afterWork" tab="课后训练">
              <AfterWork></AfterWork>
            </NTabPane>
            <NTabPane name="practice" tab="练习记录"></NTabPane>
            <NTabPane name="attendclass" tab="上课记录"></NTabPane>
          </NTabs>
        </div>
      </div>
    );
  }
});
